/*
 * Licensed under the GNU General Public License version 2 with exceptions. See
 * LICENSE file in the project root for full license information
 */

/** \file
 * \brief
 * Headerfile for ethercatbase.c
 */

#ifndef _slave_config_
#define _slave_config_

#include "ethercat.h"

/*!
 * @brief Prints the state in which the Slave is and also give basic infomations about that state.  
 * @param uint16_t state is the state flag of the slave which will be masked to ist 8 LSB's  
 * @link https://infosys.beckhoff.com/english.php?content=../content/1033/ethercatsystem/1036980875.html&id=
 * @return void
 * */
void printState(uint16_t state); 

/*!
 * @brief Set the given Slave to given State 
 * @return 1 if No Error | 0 if Error
 * */
//uint8_t setSlaveState(uint8_t slave_index, uint16_t ethercat_state);

#endif
